import { getNameOfServiceType } from "./helpers/getNameOfServiceType.js";
export class Debug {
    static extended = false;
    static errors = {
        serviceNotLoaded: (loader) => "Service is not loaded yet",
        classNotDecorated: (name) => `Class "${name}" not registered as service`,
    };
    static warnings = {
        asyncValidation: (descriptor) => `Service "${getNameOfServiceType(descriptor.service)}" is async and cannot be validated synchronously.`,
    };
}
//# sourceMappingURL=debug.js.map