import type { MapToServicesType, ServiceType } from "../types/index.js";
declare function injectable(): <TClass extends abstract new (...args: MapToServicesType<[]>) => any>(target: TClass, context?: ClassDecoratorContext<TClass> | undefined) => TClass;
declare function injectable<TServices extends ServiceType<any>[]>(dependencies: () => [...TServices]): <TClass extends abstract new (...args: MapToServicesType<TServices>) => any>(target: TClass, context?: ClassDecoratorContext<TClass> | undefined) => TClass;
declare function injectable<TServices extends ServiceType<any>[]>(dependencies: () => [...TServices]): <TClass extends new (...args: MapToServicesType<TServices>) => any>(target: TClass) => TClass;
export { injectable };
//# sourceMappingURL=injectable.d.ts.map